
From: Stephen Rothwell <sfr@canb.auug.org.au>

These two files are basically identical, so make one just include the other
(protecting the 32-bit-only parts with __powerpc64__).  Also remove some
completely unused defines.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc/fcntl.h   |   12 +++-----
 include/asm-ppc64/fcntl.h |   66 ----------------------------------------------
 2 files changed, 6 insertions(+), 72 deletions(-)

diff -puN include/asm-ppc64/fcntl.h~consildate-asm-ppc-fcntlh include/asm-ppc64/fcntl.h
--- devel/include/asm-ppc64/fcntl.h~consildate-asm-ppc-fcntlh	2005-08-31 00:08:45.000000000 -0700
+++ devel-akpm/include/asm-ppc64/fcntl.h	2005-08-31 00:08:45.000000000 -0700
@@ -1,65 +1 @@
-#ifndef _PPC64_FCNTL_H
-#define _PPC64_FCNTL_H
-
-/*
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version
- * 2 of the License, or (at your option) any later version.
- */
-
-/* open/fcntl - O_SYNC is only implemented on blocks devices and on files
-   located on an ext2 file system */
-#define O_CREAT		   0100	/* not fcntl */
-#define O_EXCL		   0200	/* not fcntl */
-#define O_NOCTTY	   0400	/* not fcntl */
-#define O_TRUNC		  01000	/* not fcntl */
-#define O_APPEND	  02000
-#define O_NONBLOCK	  04000
-#define O_NDELAY	O_NONBLOCK
-#define O_SYNC		 010000
-#define FASYNC		 020000	/* fcntl, for BSD compatibility */
-#define O_DIRECTORY      040000	/* must be a directory */
-#define O_NOFOLLOW      0100000	/* don't follow links */
-#define O_LARGEFILE     0200000
-#define O_DIRECT	0400000	/* direct disk access hint */
-#define O_NOATIME	01000000
-
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
-#ifdef __KERNEL__
-#define F_POSIX		1
-#define F_FLOCK		2
-#define F_BROKEN	4	/* broken flock() emulation */
-#endif /* __KERNEL__ */
-
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
-#include <asm-generic/fcntl.h>
-
-#endif /* _PPC64_FCNTL_H */
+#include <asm-ppc/fcntl.h>
diff -puN include/asm-ppc/fcntl.h~consildate-asm-ppc-fcntlh include/asm-ppc/fcntl.h
--- devel/include/asm-ppc/fcntl.h~consildate-asm-ppc-fcntlh	2005-08-31 00:08:45.000000000 -0700
+++ devel-akpm/include/asm-ppc/fcntl.h	2005-08-31 00:08:45.000000000 -0700
@@ -27,9 +27,11 @@
 #define F_SETSIG	10	/*  for sockets. */
 #define F_GETSIG	11	/*  for sockets. */
 
+#ifndef __powerpc64__
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
+#endif
 
 /* for posix fcntl() and lockf() */
 #define F_RDLCK		0
@@ -43,12 +45,6 @@
 /* for leases */
 #define F_INPROGRESS	16
 
-#ifdef __KERNEL__
-#define F_POSIX		1
-#define F_FLOCK		2
-#define F_BROKEN	4	/* broken flock() emulation */
-#endif /* __KERNEL__ */
-
 struct flock {
 	short l_type;
 	short l_whence;
@@ -57,6 +53,7 @@ struct flock {
 	pid_t l_pid;
 };
 
+#ifndef __powerpc64__
 struct flock64 {
 	short  l_type;
 	short  l_whence;
@@ -64,7 +61,8 @@ struct flock64 {
 	loff_t l_len;
 	pid_t  l_pid;
 };
+#endif
 
 #include <asm-generic/fcntl.h>
 
-#endif
+#endif /* _PPC_FCNTL_H */
_
